from .DeviceInfo import DeviceInfo
from subprocess import Popen, PIPE


class SystemUtil:
    @staticmethod
    def board_type():
        p = Popen('/usr/cli/model', stdin=PIPE, stdout=PIPE, stderr=PIPE)
        output, err = p.communicate()

        if p.returncode is not 0:
            raise Exception("Command 'model' was exited with error: {0} {1}.".format(p.returncode, err))

        return DeviceInfo(output).board_type()
